<template>
    <div class="min-h-screen flex items-center justify-center bg-gray-100"
        style="background-image: url('/assets/img/auth/bg.jpg')">
        <!-- <div class="flex flex-col w-full" @toast="showToast"> -->
        <Toast :visible="store.isVisible" :message="store.message" :type="store.type" />
        <div class="flex">
            <slot class="bg-slate-500" />
        </div>
        <!-- </div> -->
    </div>
</template>

<script setup lang="ts">
const store = useToastStore()
</script>
